Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.expr.substitution
Class EscapeSubstitutionVariables.DoNotEscapeSubstitutionVariables

    java.lang.Object
      com.servingxml.expr.substitution.EscapeSubstitutionVariables.DoNotEscapeSubstitutionVariables

All Implemented Interfaces:
  EscapeSubstitutionVariables

Enclosing interface:
  EscapeSubstitutionVariables

    public static final class EscapeSubstitutionVariables.DoNotEscapeSubstitutionVariables

extends java.lang.Object
implements EscapeSubstitutionVariables

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.expr.substitution.EscapeSubstitutionVariables
`EscapeSubstitutionVariables.DoNotEscapeSubstitutionVariables`

Field Summary

Fields inherited from interface com.servingxml.expr.substitution.EscapeSubstitutionVariables
`DO_NOT_ESCAPE`

Constructor Summary
`EscapeSubstitutionVariables.DoNotEscapeSubstitutionVariables()`

Method Summary
`boolean` | `doEscape()`
`java.lang.String` | `escape(java.lang.String s)`
`void` | `escape(java.lang.String input, java.lang.StringBuilder output)`
`char` | `getCharacter()`
`java.lang.String` | `getEscapeSequence()`
`boolean` | `mustEscape(char ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EscapeSubstitutionVariables.DoNotEscapeSubstitutionVariables

    public EscapeSubstitutionVariables.DoNotEscapeSubstitutionVariables()

Method Detail

### doEscape

    public boolean doEscape()

  Specified by:
    `doEscape` in interface `EscapeSubstitutionVariables`

### getCharacter

    public final char getCharacter()

  Specified by:
    `getCharacter` in interface `EscapeSubstitutionVariables`

### getEscapeSequence

    public final java.lang.String getEscapeSequence()

  Specified by:
    `getEscapeSequence` in interface `EscapeSubstitutionVariables`

### mustEscape

    public final boolean mustEscape(char ch)

  Specified by:
    `mustEscape` in interface `EscapeSubstitutionVariables`

### escape

    public final java.lang.String escape(java.lang.String s)

  Specified by:
    `escape` in interface `EscapeSubstitutionVariables`

### escape

    public final void escape(java.lang.String input,
                             java.lang.StringBuilder output)

  Specified by:
    `escape` in interface `EscapeSubstitutionVariables`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD